---
name: "pause"
description: >-
  This exclusive mode is initiated by the "pause listening" command.
  It ignores all utterances except for "resume listening".
initiallyActive: false
exclusive: true
commands:
  - name: "resume listening"
    description: >-
      Turns the microphone back on.
    alternates:
      - "the resume listening"
      - "rezoom listening"
      - "reassume listening"
      - "resume listing"
      - "the reason i'm listening"
      - "the reason listening"
    functions:
      - name: "updateMicrophone"
        fixedArguments:
          - "on"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "pause"
  - name: "_default"
    description: >-
      If no other command is matched, this default command is used.
      Besides "resume listening", all other utterances are ignored.
    functions:
      - name: "ignore"
        utteranceArguments: 100
